bpluginfo(8)

NAME
bpluginfo - Bareos Plugin information utility

SYNOPSIS
bplufinfo [options] plugin_filename.so

DESCRIPTION

The main purpose of bpluginfo is to display different information about Bareos plugin. You can use it to check a plugin name, author, license and short description. You can use -f option to display API implemented by the plugin. Some plugins may require additional '-a' option for validating a Bareos Daemons API. In most cases it is not required.

OPTIONS
A summary of options is included below.

-h  Show usage of the program.

-v  Verbose information printing all available data from the plugin, including plugin header and implemented API.

-i  Display short information from plugin header only. This is a default option. Option incompatible with -f option.

-f  Display information about implemented API functions.

-a <api>
    You can supply the plugin initialization function with a particular Bareos API number. Without this option a default API number is '1'. Option require a numeric argument.

RETURN CODE
bpluginfo returns 0 on success, and non-zero on error.

You can check return code to find what was a cause of the error.
     * 0 - success
     * 1 - cannot load a plugin
     * 2 - cannot find a loadPlugin function
     * 3 - cannot find an unloadPlugin function
     * 10 - not enough memory

EXAMPLE USAGE
This is an example of bplufinfo usage with verbose option (-v) and default plugin.

    $ bpluginfo -v /usr/lib/bareos/plugins/python-fd.so
    Plugin type:            Bareos File Daemon plugin
    Plugin magic:           *FDPluginData*
    Plugin version:         2
    Plugin release date:    October 2013
    Plugin author:          Marco van Wieringen
    Plugin licence:         Bareos AGPLv3
    Plugin description:     Python File Daemon Plugin
    Plugin API version:     8
    Plugin usage:
    python:module_path=<path-to-python-modules>:module_name=<python-module-to-load>:...
    Plugin functions:
     newPlugin()
     freePlugin()
     getPluginValue()
     setPluginValue()
     handlePluginEvent()
     startBackupFile()
     endBackupFile()
     startRestoreFile()
     endRestoreFile()
     pluginIO()
     createFile()
     setFileAttributes()
     checkFile()

AUTHOR
Written by Radoslaw Korzeniewski (c) Inteos Sp. z o.o.

BUGS
Does not handle all required Bareos functions callbacks which can lead to utility crash.

REPORTING BUGS
Report bugs to <support@inteos.pl>.

COPYRIGHT
Copyright © 2012 Free Software Foundation Europe e.V.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
bareos-dir, bareos-sd, bareos-fd, Bareos Plugins API